Bug 21023 - Remove warning in t/db_dependent/Circulation/Chargelostitem.t
Summary: Remove warning in t/db_dependent/Circulation/Chargelostitem.t
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Test Suite (show other bugs)
Version: master
Hardware: All All
: P5 - low trivial (vote)
Assignee: Tomás Cohen Arazi
QA Contact: Marcel de Rooy
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-06-29 14:51 UTC by Tomás Cohen Arazi
Modified: 2018-07-30 12:59 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Bug 21023: Remove warning in t/db_dependent/Circulation/Chargelostitem.t (1.83 KB, patch)
2018-06-29 14:54 UTC, Tomás Cohen Arazi
Details | Diff | Splinter Review
Bug 21023: Remove warning in t/db_dependent/Circulation/Chargelostitem.t (1.89 KB, patch)
2018-07-08 14:22 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 21023: Remove warning in t/db_dependent/Circulation/Chargelostitem.t (1.97 KB, patch)
2018-07-13 06:13 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Tomás Cohen Arazi 2018-06-29 14:51:38 UTC
To reproduce:
- Run:
  $ kshell
 k$ prove t/db_dependent/Circulation/Chargelostitem.t
=> FAIL: Warning is displayed
Comment 1 Tomás Cohen Arazi 2018-06-29 14:54:04 UTC
Created attachment 76576 [details] [review]
Bug 21023: Remove warning in t/db_dependent/Circulation/Chargelostitem.t

To test:
- Run:
  $ kshell
 k$ prove t/db_dependent/Circulation/Chargelostitem.t
=> FAIL: Warning is displayed
- Apply this patch
- Run:
 k$ prove t/db_dependent/Circulation/Chargelostitem.t
=> SUCCESS: Tests pass! No warning!
- Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>
Comment 2 Katrin Fischer 2018-07-08 14:22:44 UTC
Created attachment 76759 [details] [review]
Bug 21023: Remove warning in t/db_dependent/Circulation/Chargelostitem.t

To test:
- Run:
  $ kshell
 k$ prove t/db_dependent/Circulation/Chargelostitem.t
=> FAIL: Warning is displayed
- Apply this patch
- Run:
 k$ prove t/db_dependent/Circulation/Chargelostitem.t
=> SUCCESS: Tests pass! No warning!
- Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 3 Marcel de Rooy 2018-07-13 06:13:17 UTC
Created attachment 76930 [details] [review]
Bug 21023: Remove warning in t/db_dependent/Circulation/Chargelostitem.t

To test:
- Run:
  $ kshell
 k$ prove t/db_dependent/Circulation/Chargelostitem.t
=> FAIL: Warning is displayed
- Apply this patch
- Run:
 k$ prove t/db_dependent/Circulation/Chargelostitem.t
=> SUCCESS: Tests pass! No warning!
- Sign off :-D

Signed-off-by: Tomas Cohen Arazi <tomascohen@theke.io>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 4 Nick Clemens 2018-07-13 13:49:58 UTC
Awesome work all!

Pushed to master for 18.11
Comment 5 Martin Renvoize 2018-07-15 19:12:52 UTC
Pushed to 18.05.x for 18.05.02
Comment 6 Fridolin SOMERS 2018-07-30 12:58:50 UTC
Pushed to 17.11.x for 17.11.09
Comment 7 Fridolin SOMERS 2018-07-30 12:59:20 UTC
I choose not to push to 17.05.x